Subject: Re: [ETH]: Combine format_addr() with print_mac().

From: Joe Perches <[email-masked]>
Date: Fri, 21 Dec 2007 23:02:45 -0800

On Fri, 2007-12-21 at 19:58 -0800, Michael Chan wrote:
> The dev_addr is declared as unsigned char* in struct net_device.  To be
> consistent, can we change print_mac() and MAC_BUF to use unsigned char*?
> They are really the same.

That's fine by me.  I like consistency.
I don't remember why it was u8 and not unsigned char.

> > ssize_t? shouldn't it be size_t?
> I'm just keeping the prototype unchanged as originally defined in net-
> sysfs.c

It's painless to change the prototype.
size_t seems more sensible.

> > Indexing buf by int len is unchecked.
> > That could lead to unintended buffer overruns.
> > Maybe add a buflen argument and use snprintf?
> Again, I kept the semantics the same as the original, but will be happy
> to add a buflen for better checking.

That sounds good.

cheers, Joe